Skip to main content
`Ctrl`+`K`

# DMSwarmAddNPoints

Add space for a number of new points in the `DMSWARM`

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmAddNPoints(DM dm, PetscInt npoints)

Not Collective

## Input Parameters

- dm - a `DMSWARM`

- npoints - the number of new points to add

## Notes

The new point will have all fields initialized to zero.

## See Also

`DM`, `DMSWARM`, `DMSwarmAddPoint()`

## Level

beginner

## Location

src/dm/impls/swarm/swarm.c

## Examples

src/ksp/ksp/tutorials/ex70.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages